Retrieve Billing Agreement

Alternative endpoint to retrieve billing agreement details using a request body instead of path parameter. Functionally equivalent to GET /v2/billing-agreements/{token}. *Deprecated. For new integrations, see [Grants](https://afterpay.docs.buildwithfern.com/afterpay-online-developer/api-reference/reference/grants/start-grant-approval).*

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Headers

User-AgentstringRequired

Request

This endpoint expects an object.
tokenstringRequired
The billing agreement token to retrieve

Response

Billing agreement details retrieved successfully
tokenstring
Unique token identifying the agreement
type"BILLING"
Type of agreement
statusenum
Current status of the agreement
createddatetime
Timestamp when the agreement was created
merchantReferencestringOptional
Merchant's reference for this agreement
cancelleddatetimeOptional
If present, indicates when the agreement was cancelled
expiresdatetimeOptional
If present, indicates when the agreement's status will become EXPIRED, preventing a client from using it to create payments
eventslist of objectsOptional
List of events associated with this agreement
requestIdstringOptional
Unique identifier for the request
consumerReferencestringOptional
Reference identifier for the consumer
emailstringOptional
Masked email address of the consumer

Errors

403
Retrieve Billing Agreement Request Forbidden Error
404
Retrieve Billing Agreement Request Not Found Error